This commit is contained in:
.[d]. 2023-03-15 12:41:39 -05:00
parent 4e76275a22
commit 797a912adb

7
maple

@ -55,7 +55,7 @@
#####################################################################################################################
i=`cat maple|grep -n MARKER|cut -f1 -d":"`;i=$(echo $i|xargs|cut -f2 -d" ");ii=`wc -l maple|cut -f1 -d" "`;
iii=$((ii-i));tail -n $iii $0>mpl;MD5=$(md5sum mpl|cut -f1 -d ' ');rm mpl;DM5="920082ebd603f177cbf372f426bfe4f7";
iii=$((ii-i));tail -n $iii $0>mpl;MD5=$(md5sum mpl|cut -f1 -d ' ');rm mpl;DM5="5bf899243b45e9609fcb4386087692fd";
[ "$MD5" = "$DM5" ] || exit;
# MARKER ############################################################################################################
@ -303,11 +303,12 @@ kmodesetup() {
which virtualenv > /dev/null 2>&1
if [ $? -eq 1 ]; then echo "python3 virtualenv module not installed, attempting to auto-install"; python3 -m pip install virtualenv; fi
which virtualenv > /dev/null 2>&1
if [ $? -eq 1 ]; then echo "python3 virtualenv module still not installed, manually instlal python3 virtualenv module before proceeding"; FAILED=1; fi
if [ $? -eq 1 ]; then echo "python3 virtualenv module still not installed, manually install python3 virtualenv module before proceeding"; FAILED=1; fi
if [ $FAILED -eq 1 ]; then echo "pre-requisites not met, aborting installation"; exit 1; fi
which python3.9 > /dev/null 2>&1
if [ $? -eq 0 ]; then virtualenv -p python3.9 env; else virtualenv -p python3 env; fi
if [ $? -eq 0 ]; then virtualenv -p python3.9 env > /dev/null 2>&1; else virtualenv -p python3 env > /dev/null 2>&1; fi
source env/bin/activate
if [ $? -eq 1 ]; then python3.9 -m venv env > /dev/null 2>&1; else python3 -m venv env > /dev/null 2>&1; fi
pip install --upgrade pip
[ "$MODE" = "0" ] && ( cp storage/bot/variants/dupe/bot_maple__services.py ./bot_maple.py; pip install -r storage/bot/requirements/requirements_services.txt )
if [ "$MODE" = "0" ]